Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Upgrade Xorg or KDE/Qt on openSUSE 42.3

  1. #1

    Default Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Hi,


    I run Tumbleweed and Leap 42.3 on my 2017 Lenovo Yoga 520 laptop. I use this device only for work, so that I don't have much time to keep testing after each upgrade in Tumbleweed. This is the reason I have been using Leap as my workstation since my previous laptop.


    I work like 60% of the time on laptop mode for coding and typing. And 40% in tablet mode for handwriting math and reviewing papers with my active stylus (it uses xinput and the xf86-wacom driver on both Leap and Tumbleweed).


    The issue is that there is a glitch when handwriting on Leap 42.3 such that it often draws lines while the stylus is still hovering on the screen. This makes the fluidity of handwriting very annoying and a little bit unusable. And it doesn't matter the application: tested on xournal, gimp and stylus lab write.
    Apart from that, Leap is pretty fine on everything I need.


    However, the same problem doesn't happen on Tumbleweed. So I believe it must be a issue with the old Qt version and/or old Xorg drivers.


    The question is: how should I proceed in order to upgrade Qt and/or Xorg on my Leap? Do latest KDE+Qt and latest Xorg work fine separately? Should I upgrade KDE+Qt+Xorg at once? Or is it better to switch completely to Tumbleweed?


    Summarizing, what is the best option for me with the purpose of keeping compatibility with active stylus, maximizing stability and minimizing potential bugs?


    Thanks in advance

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    19,816
    Blog Entries
    1

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    If you have reasonable Linux experience (and feel comfortable doing so), you could try upgrading to the current stable Linux kernel via the the following repo

    http://download.opensuse.org/reposit...table/standard

    The Xorg stack can be upgraded by subscribing to the Xorg repo http://download.opensuse.org/reposit...USE_Leap_42.3/ and upgrading via that perhaps.

  3. #3

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Quote Originally Posted by ghostharley View Post
    The question is: how should I proceed in order to upgrade Qt and/or Xorg on my Leap?
    The latest Qt is available here:
    http://download.opensuse.org/reposit...USE_Leap_42.3/

    You'd also need to upgrade KDE Frameworks and Plasma to the latest versions then though:
    http://download.opensuse.org/reposit...USE_Leap_42.3/

    Add both repos, and do a full switch to both to prevent an incompatible mixture of package versions.
    https://en.opensuse.org/SDB:Vendor_c..._Vendor_change

    Do latest KDE+Qt and latest Xorg work fine separately?
    Yes.

    Should I upgrade KDE+Qt+Xorg at once?
    I probably would do it step by step.

    In your case, I'd think the Xorg upgrade is more likely to help. See deano_ferrari's reply for the repo URL, but also in this case it's advisable to do a full switch to the repo.

    But I also concur with deano_ferrari that a newer kernel would probably be the first thing to try (and it's easier to do and less likely to cause problems as the old kernel will still be available in the boot menu under "Advanced Options").

    Or is it better to switch completely to Tumbleweed?
    Well, as you write that it works as expected on Tumbleweed, switching to it may be the easier solution.
    Although, you can of course still do that if trying to upgrade some components doesn't help.

  4. #4

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Hi,

    Thank you for the response


    Yes. The first thing I have tried was to run new versions of the kernel. I have tried latest stable 4.14 and latest LTS 4.9. I have also tried different kernel-firmware versions too. The problem persists.

    In fact, I'm currently running kernel 4.9 LTS as default on my Leap for months, since kernel 4.4 LTS is pretty non compatible with new laptops and 4.14 has seemed to be too new in comparison to the rest of Leap's package versions.



    So in order to do a full repo switch is it sufficient to lower priority in Yast>Software Repositories ? What else should I do?


    In the case upgrading Xorg only solves the problem, should I expected some compatibility issues along with Leap's LTS KDE/Qt versions?

  5. #5

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Quote Originally Posted by ghostharley View Post
    So in order to do a full repo switch is it sufficient to lower priority in Yast>Software Repositories ? What else should I do?
    No, that's not sufficient.
    It will only affect newly installed packages, but won't change already installed ones.

    You need to do what the link I posted tells you.
    Either run "zypper dup --from xxx", or run YaST->Software Management, click on "View" and choose "Repositories", select the corresponding repo in the list on the left and click on "Switch system packages to the versions in this Repository" (or similar) on top of the package list on the right.

    In the case upgrading Xorg only solves the problem, should I expected some compatibility issues along with Leap's LTS KDE/Qt versions?
    Should work fine.

  6. #6

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Thank you very much!

    I will test it as soon as possible and will get back with a response

  7. #7

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Hi,

    I have updated to latest Xorg, KDE, Qt, Kernel-default and kernel-firmware.

    The problem was solved
    Thanks.



    Well, the laptop is pretty usable, however some other minor issues appeared:

    I had to install latest Dolphin since search got broken.

    The laptop power button is not working while in Plasma. It works to restart from shutdown, hibernate and suspend as usual.

    The laptop function keys to change display brightness are not working, although I can change it through "Battery and Brightness" tray icon on panel. All other laptop function keys and the F11 and F12 keys are working normally.


    upower is behaving weirdly after opening "energy information" window. Upgrading upower to tumbleweed version makes upower completely broken.

  8. #8

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Quote Originally Posted by ghostharley View Post
    I had to install latest Dolphin since search got broken.
    Yeah, forgot to mention that it might be a good idea to upgrade KDE Applications then too, mainly to have them built against the latest Qt5/KF5...

    The repo URL is https://download.opensuse.org/reposi...USE_Leap_42.3/ , as you maybe found out already.
    And it is advisable to do a full switch to that repo as well.

    Although, I do think that (older) dolphin's search should work with the newer Baloo...

    Can't help you with the other things though, I'm afraid.

  9. #9

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Ok. Thank you very much!



    Another question, would be of any help upgrading to these repos too (checking the first options on file conflicts in Yast2):

    https://download.opensuse.org/reposi...nSUSE_Factory/

    https://download.opensuse.org/reposi...p_42.3/x86_64/


    Or would add some potential to bugs?

  10. #10

    Default Re: Upgrade Xorg or KDE/Qt on openSUSE 42.3

    Quote Originally Posted by ghostharley View Post
    Another question, would be of any help upgrading to these repos too (checking the first options on file conflicts in Yast2):

    https://download.opensuse.org/reposi...nSUSE_Factory/

    https://download.opensuse.org/reposi...p_42.3/x86_64/


    Or would add some potential to bugs?
    Sure it can add bugs.
    These are development projects for Factory/Tumbleweed. Packages get updated there to be available for testing.

    The first one is actually only available/intended for Factory anyway, do *NOT* add this to your 42.3 system (the packages won't be compatible and likely break your system completely, especially considering that this is Base:System, i.e. some very fundamental packages like systemd).

    The second should be fine I suppose.

    But some caveat still applies: this contains packages before they are tested for inclusion in Tumbleweed (actually the same applies to X11:XOrg, KDE:Frameworks5, KDE:Qt5, and KDE:Applications... ), and newer is not necessarily better, especially when you put it on top of an older base system.

    If you always want the latest of everything, better use Tumbleweed.

    If you create your own "Tumbleweed" by adding all possible (and impossible) repos, it likely won't be more stable, rather the opposite.
    Last edited by wolfi323; 23-Jan-2018 at 11:46.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •